SDL_sqrtf(3)

NAME
SDL_sqrtf - Compute the square root of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_sqrtf(float x);

DESCRIPTION
Domain: 0<=x<=INF Range: 0<=y<=INF This function operates on single-precision floating point values, use SDL_sqrt
 for double-precision floats. This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value. Must be greater than or equal to 0.

RETURN VALUE
Returns square root of x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_sqrt(3)